Convert Codexgate Github App Manifest
POST
/v1/admin/codexgate/github-app/conversions
const url = 'https://example.com/v1/admin/codexgate/github-app/conversions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"code":"example","expected_state":"","state":"","store_openbao":true,"tenant_id":"default","scope":"","merge":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/admin/codexgate/github-app/conversions \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "expected_state": "", "state": "", "store_openbao": true, "tenant_id": "default", "scope": "", "merge": true }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CodexGateGitHubAppConversionRequestIn
object
code
required
Code
string
expected_state
Expected State
string
state
State
string
store_openbao
Store Openbao
boolean
tenant_id
Tenant Id
string
scope
Scope
string
merge
Merge
boolean
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CodexGateGitHubAppConversionOut
object
app_id
required
App Id
string
slug
Slug
string
client_id
Client Id
string
client_secret_present
Client Secret Present
boolean
webhook_secret_present
Webhook Secret Present
boolean
pem_present
Pem Present
boolean
callback_url
Callback Url
string
store_scope
Store Scope
string
openbao_written_keys
Openbao Written Keys
Array<string>
raw
Raw
object
key
additional properties
any
Example
{ "slug": "", "client_id": "", "client_secret_present": false, "webhook_secret_present": false, "pem_present": false, "callback_url": "", "store_scope": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}